Webhooks
- GET
/rest/v1.0/companies/{company_id}/webhooksList webhook subscriptions - POST
/rest/v1.0/companies/{company_id}/webhooksCreate a webhook subscription - GET
/rest/v1.0/companies/{company_id}/webhooks/{id}Show a webhook subscription (secret masked; see secret_preview) - PATCH
/rest/v1.0/companies/{company_id}/webhooks/{id}Update a webhook subscription - DELETE
/rest/v1.0/companies/{company_id}/webhooks/{id}Delete a webhook subscription - GET
/rest/v1.0/companies/{company_id}/webhooks/{id}/deliveriesList delivery history (company administrators only) - POST
/rest/v1.0/companies/{company_id}/webhooks/{id}/deliveriesQueue an idempotent synthetic webhook.test delivery (company administrators only) - POST
/rest/v1.0/companies/{company_id}/webhooks/{id}/deliveries/{delivery_id}/retryRequeue a failed test delivery with its original bytes and identity - POST
/rest/v1.0/companies/{company_id}/webhooks/{id}/rotate_secretRotate the signing secret
/rest/v1.0/companies/{company_id}/webhooksList webhook subscriptions
Parameters
- company_idstringpathrequired
Response · 200 · WebhookListItem[]
- idintegerrequired
- company_idintegerrequired
- urlstringrequired
- eventsstring[]required
- activebooleanrequired
- secret_previewstring
- created_by_idinteger
- created_atstring
- updated_atstring
/rest/v1.0/companies/{company_id}/webhooksCreate a webhook subscription
Parameters
- company_idstringpathrequired
Request body
- webhookobjectrequired
Response · 201 · Webhook
- idintegerrequired
- company_idintegerrequired
- urlstringrequired
- eventsstring[]required
- activebooleanrequired
- secretstringrequired
- secret_previewstring
- created_by_idinteger
- created_atstring
- updated_atstring
/rest/v1.0/companies/{company_id}/webhooks/{id}Show a webhook subscription (secret masked; see secret_preview)
Parameters
- company_idstringpathrequired
- idstringpathrequired
Response · 200 · WebhookListItem
- idintegerrequired
- company_idintegerrequired
- urlstringrequired
- eventsstring[]required
- activebooleanrequired
- secret_previewstring
- created_by_idinteger
- created_atstring
- updated_atstring
/rest/v1.0/companies/{company_id}/webhooks/{id}Update a webhook subscription
Parameters
- company_idstringpathrequired
- idstringpathrequired
Request body
- webhookobjectrequired
Response · 200 · WebhookListItem
- idintegerrequired
- company_idintegerrequired
- urlstringrequired
- eventsstring[]required
- activebooleanrequired
- secret_previewstring
- created_by_idinteger
- created_atstring
- updated_atstring
/rest/v1.0/companies/{company_id}/webhooks/{id}Delete a webhook subscription
Parameters
- company_idstringpathrequired
- idstringpathrequired
Response · 204
No response body.
/rest/v1.0/companies/{company_id}/webhooks/{id}/deliveriesList delivery history (company administrators only)
Parameters
- company_idstringpathrequired
- idstringpathrequired
Response · 200 · WebhookDelivery[]
- idstring (uuid)required
- subscriptionIdintegerrequired
- jobIdintegerrequired
- outcomestringrequired
- statusstringrequired
- attemptCountintegerrequired
- httpStatusinteger
- errorCodestring
- createdAtstring
- updatedAtstring
- attemptsobject[]required
/rest/v1.0/companies/{company_id}/webhooks/{id}/deliveriesQueue an idempotent synthetic webhook.test delivery (company administrators only)
Parameters
- company_idstringpathrequired
- idstringpathrequired
Request body
- request_keystringrequired
Response · 202 · WebhookDelivery
- idstring (uuid)required
- subscriptionIdintegerrequired
- jobIdintegerrequired
- outcomestringrequired
- statusstringrequired
- attemptCountintegerrequired
- httpStatusinteger
- errorCodestring
- createdAtstring
- updatedAtstring
- attemptsobject[]required
/rest/v1.0/companies/{company_id}/webhooks/{id}/deliveries/{delivery_id}/retryRequeue a failed test delivery with its original bytes and identity
Parameters
- company_idstringpathrequired
- idstringpathrequired
- delivery_idstringpathrequired
Response · 202 · WebhookDelivery
- idstring (uuid)required
- subscriptionIdintegerrequired
- jobIdintegerrequired
- outcomestringrequired
- statusstringrequired
- attemptCountintegerrequired
- httpStatusinteger
- errorCodestring
- createdAtstring
- updatedAtstring
- attemptsobject[]required
/rest/v1.0/companies/{company_id}/webhooks/{id}/rotate_secretRotate the signing secret
Parameters
- company_idstringpathrequired
- idstringpathrequired
Response · 200 · Webhook
- idintegerrequired
- company_idintegerrequired
- urlstringrequired
- eventsstring[]required
- activebooleanrequired
- secretstringrequired
- secret_previewstring
- created_by_idinteger
- created_atstring
- updated_atstring